# Generated by Django 3.2.12 on 2022-10-06 09:21

from django.db import migrations, models
import django.db.models.deletion
import lucterios.contacts.models


class Migration(migrations.Migration):

    dependencies = [
        ('contacts', '0004_length_field'),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryPossession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
                'default_permissions': [],
            },
        ),
        migrations.CreateModel(
            name='Possession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='name')),
                ('comment', models.TextField(blank=True, verbose_name='comment')),
                ('category_possession', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='contacts.categorypossession', verbose_name='category')),
                ('owner', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.PROTECT, to='contacts.abstractcontact', verbose_name='owner')),
            ],
            options={
                'verbose_name': 'possession',
                'verbose_name_plural': 'possessions',
            },
            bases=(models.Model, lucterios.contacts.models.CustomizeObject),
        ),
        migrations.CreateModel(
            name='PossessionCustomField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(default='', verbose_name='value')),
                ('field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.customfield', verbose_name='field')),
                ('possession', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.possession', verbose_name='possession')),
            ],
            options={
                'verbose_name': 'custom field value',
                'verbose_name_plural': 'custom field values',
                'default_permissions': [],
            },
        ),
    ]
